glaurung22-2.2-4.22.i586.rpm


Advertisement

Description

glaurung22 - A very strong, UCI compatible Chess engine

Property Value
Distribution openSUSE Tumbleweed
Repository Packman all
Package filename glaurung22-2.2-4.22.i586.rpm
Package name glaurung22
Package version 2.2
Package release 4.22
Package architecture i586
Package type rpm
Category Amusements/Games/Board/Chess
Homepage http://www.glaurungchess.com/
License GPL-2.0
Maintainer -
Download size 2.37 MB
Installed size 4.99 MB
This is a very strong chess engine, finished 4th place at internatonal ChessWar X.
It uses the UCI (universal chess interface), for chess engines as communication protocol.
This means to play against it, you have to use an UCI capable interface, like knights or an xboard adapter like polyglot.
glaurung can be found at:
http://www.glaurungchess.com/
Authors:
--------
Tord Romstad <tord@glaurungchess.com>
Oliver Korff <ok@xynyx.de> (manual page, taken from Debian upstream)
Salvo Spitaleri (opening book "Book.bin")

Alternatives

Package Version Architecture Repository
glaurung22-2.2-4.22.x86_64.rpm 2.2 x86_64 Packman
glaurung22 - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libgcc_s.so.1 -
libgcc_s.so.1(GLIBC_2.0) -
libm.so.6 -
libm.so.6(GLIBC_2.29) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.3.2) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -

Provides

Name Value
glaurung22 = 2.2-4.22
glaurung22(x86-32) = 2.2-4.22

Download

Type URL
Mirror packman.inode.at
Binary Package glaurung22-2.2-4.22.i586.rpm
Source Package glaurung22-2.2-4.22.src.rpm

Install Howto

  1. Add the Packman repository:
    # zypper addrepo http://packman.inode.at/suse/openSUSE_Tumbleweed/ packman
  2. Install glaurung22 rpm package:
    # zypper install glaurung22

Files

Path
/usr/bin/glaurung22
/usr/bin/glaurung22-polyglot
/usr/bin/glaurung22.bin
/usr/bin/xglaurung22
/usr/share/doc/packages/glaurung22/COPYING
/usr/share/doc/packages/glaurung22/Readme.txt
/usr/share/glaurung22/Book.bin
/usr/share/glaurung22/glaurung22.ini
/usr/share/man/man6/glaurung.6.gz

Changelog

2009-08-31 - AxelKoellhofer@web.de
- added a polyglot startup script (i.e. for use with xboard)
simply typing "xboard -fcp glaurung22-polyglot" (engine = white) 
or "xboard -scp glaurung22-polyglot" (engine = black) will work
2009-08-27 - AxelKoellhofer@web.de
- modified startup 
The two scripts /usr/bin/glaurung22 and /usr/bin/xglaurung22 
both check if there is a $HOME/.glaurung22 directory
containing an opening book and a polyglot ini-file;
if not, the files are copied from /usr/share/glaurung22.
In this way every user can run a "personalized" configuration
as all of the configuration stuff is handled within $HOME.
2009-08-26 - AxelKoellhofer@web.de
- fixed wrong error message in xboard-script if polyglot is not installed
2009-08-23 - AxelKoellhofer@web.de
- patches rewritten (better fix for linking)
- various little fixes (xboard startscript and specfile)
2009-08-21 - AxelKoellhofer@web.de
- first build for openSUSE, version 2.2

See Also

Package Description
gmerlin-1.2.0rsvn4256-3.69.i586.rpm Multimedia architecture for Linux
gmerlin-1.2.0rsvn4256-3.69.x86_64.rpm Multimedia architecture for Linux
gmerlin-alsamixer-1.2.0rsvn4256-3.69.i586.rpm Alsa mixer
gmerlin-alsamixer-1.2.0rsvn4256-3.69.x86_64.rpm Alsa mixer
gmerlin-avdecoder-1.2.0rsvn4256-2.240.i586.rpm Gmerlin A/V decoder library
gmerlin-avdecoder-1.2.0rsvn4256-2.240.x86_64.rpm Gmerlin A/V decoder library
gmerlin-avdecoder-lang-1.2.0rsvn4256-2.240.noarch.rpm Translations for package gmerlin-avdecoder
gmerlin-avdecoder-plugins-1.2.0rsvn4256-2.240.i586.rpm Plugins for gmerlin
gmerlin-avdecoder-plugins-1.2.0rsvn4256-2.240.x86_64.rpm Plugins for gmerlin
gmerlin-doc-1.2.0rsvn4256-3.69.noarch.rpm Documentation for gmerlin
gmerlin-effectv-1.2.0-2.218.i586.rpm This package contains most effects from EffecTV for gmerlin
gmerlin-effectv-1.2.0-2.218.x86_64.rpm This package contains most effects from EffecTV for gmerlin
gmerlin-encoders-1.2.0rsvn4256-4.196.i586.rpm Various encoder plugins for gmerlin
gmerlin-encoders-1.2.0rsvn4256-4.196.x86_64.rpm Various encoder plugins for gmerlin
gmerlin-encoders-lang-1.2.0rsvn4256-4.196.noarch.rpm Translations for package gmerlin-encoders
Advertisement
Advertisement